<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.metamodels.xsd" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.metamodels.xsd.XsdPlugin">

   <runtime>
      <library name="metamodelsXsd_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="metamodelsXsd.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.xsd" export="true"/>
      <import plugin="org.eclipse.xsd.edit" export="true"/>
      <import plugin="com.metamatrix.core" export="true"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
   </requires>

   <extension point="com.metamatrix.modeler.core.resourceValidator">
      <class name="com.metamatrix.metamodels.xsd.validator.XsdResourceValidator">
      </class>
   </extension>
   <extension point="com.metamatrix.modeler.core.resourceValidator">
      <class name="com.metamatrix.metamodels.xsd.validator.SimpleXsdResourceValidator">
      </class>
   </extension>
   <!-- INPORTANT: if the URI for this metamodel is changed the constant defined in MtkXmiHandler must also be changed  -->
   <extension id="xsd" name="%metamodelName" point="com.metamatrix.modeler.core.metamodel">
      <namespacePrefix>
         Xsd
      </namespacePrefix>
      <uri>
         http://www.eclipse.org/xsd/2002/XSD
      </uri>
      <internalUri>
         mtkplugin:///com.metamatrix.metamodels.Xsd
      </internalUri>
      <rootEntityClass name="org.eclipse.xsd.XSDSchema" maxOccurs="1">
      </rootEntityClass>
      <properties createAsPhysical="true" requiresProxies="false" supportsDiagrams="false"
                  createAsNewModel="true"
                  participatoryOnly="false"
                  supportsExtension="false"
                  createAsVirtual="false">
      </properties>
      <allowableModelType>
         TYPE
      </allowableModelType>
      <fileExtension>
         xsd
      </fileExtension>
      <factoryClass name="org.eclipse.xsd.impl.XSDFactoryImpl">
      </factoryClass>
      <packageClass name="org.eclipse.xsd.impl.XSDPackageImpl">
      </packageClass>
      <adapterClass name="org.eclipse.xsd.provider.XSDItemProviderAdapterFactory">
      </adapterClass>
      <initializers>
        <initializer name="XML Schema (2001)"
                      description="Create an XML Schema using the 2001 verion"
                      class="com.metamatrix.metamodels.xsd.XsdInitializer2001"/>
        <initializer name="XML Schema (2000)"
                      description="Create an XML Schema using the 2000 verion"
                      class="com.metamatrix.metamodels.xsd.XsdInitializer2000"/>
        <initializer name="XML Schema (1999)"
                      description="Create an XML Schema using the 1999 verion"
                      class="com.metamatrix.metamodels.xsd.XsdInitializer1999"/>
      </initializers>
   </extension>
   <!-- ResourceFactory extensions -->
   <extension id="xsdResourceFactory" point="com.metamatrix.modeler.core.resourceFactory">
      <class name="org.eclipse.xsd.util.XSDResourceFactoryImpl">
      </class>
      <fileExtension>
         xsd
      </fileExtension>
   </extension>
   <!-- MetamodelAspect extensions -->
   <extension id="xsdUmlAspect" point="com.metamatrix.modeler.core.umlDiagramAspect">
      <metamodelExtensionID>
         xsd
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xsd.aspects.uml.XsdUmlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="xsdSqlAspect" point="com.metamatrix.modeler.core.sqlAspect">
      <metamodelExtensionID>
         xsd
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xsd.aspects.sql.XsdSqlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="xsdImportAspect" point="com.metamatrix.modeler.core.importAspect">
      <metamodelExtensionID>
         xsd
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xsd.aspects.imports.XsdImportAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="xsdValidationAspect" point="com.metamatrix.modeler.core.validationAspect">
      <metamodelExtensionID>
         xsd
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xsd.aspects.validation.XsdValidationAspectFactoryImpl">
      </factoryClass>
   </extension>
   <!-- EObject Matcher extensions -->
   <extension id="xsdMatcherFactory"
              point="com.metamatrix.modeler.core.eobjectMatcherFactory">
      <class name="com.metamatrix.metamodels.xsd.compare.XsdMatcherFactory">
      </class>
   </extension>
   
</plugin>